Skip to content

Update report template

PUT
/api/v1/report-templates/{id}
curl --request PUT \
--url 'https://example.com/api/v1/report-templates/example?projectId=00000000-0000-0000-0000-000000000000' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "userPrompt": "example", "systemPrompt": { "mode": "append", "content": "example" }, "trigger": { "type": "always" }, "model": "example", "timeoutMs": 1 }'
id
required
string
projectId
required

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

string
>= 1 characters
Example
00000000-0000-0000-0000-000000000000

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

Media type application/json
object
name
string
description
string
userPrompt
string
systemPrompt
object
mode
required
string
Allowed values: append override
content
required
string
trigger
One of:
object
type
required
string
Allowed values: always
model
string | null
timeoutMs
integer | null
> 0

Success

Media type application/json
object
_id
required
string
id
required
string
name
required
string
description
string
userPrompt
required
string
systemPrompt
object
mode
required
string
Allowed values: append override
content
required
string
trigger
One of:
object
type
required
string
Allowed values: always
model
string
timeoutMs
integer
> 0
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string
Example
{
"systemPrompt": {
"mode": "append"
},
"trigger": {
"type": "always"
}
}

Report template not found